using System.Text.Json;
using System.Text.Json.Serialization;

namespace Gatus.To.MonA.Models;

public record GatusConfiguration(string BaseUniformResourceLocator,
                                 string FileName,
                                 string Key,
                                 string Metric,
                                 string Token) {

    public override string ToString() {
        string result = JsonSerializer.Serialize(this, GatusConfigurationSourceGenerationContext.Default.GatusConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(GatusConfiguration))]
internal partial class GatusConfigurationSourceGenerationContext : JsonSerializerContext {
}